listUsers
Retrieves a list of User previously created. The users are returned in sorted order, with the most recent appearing first. The list can be filtered using Tags.
GET
/v1/chat/usersAuthorization
AuthorizationBearerrequiredBearer authentication header of the form
Bearer <token>, where <token> is your auth token.Header parameters
x-bot-idstringrequiredBot id
x-integration-idstringIntegration id
x-integration-aliasstringIntegration alias
Query parameters
nextTokenstringProvide the
meta.nextToken value provided in the last API response to retrieve the next page of resultsconversationIdstringFilter by conversation id. This will return all users that have participated in the conversation.
tagsobjectFilter by tags
afterDatestringDate in ISO 8601 string with UTC timezone after which the user was created or updated (inclusive)
beforeDatestringDate in ISO 8601 string with UTC timezone before which the user was created or updated (inclusive)
rangeFieldenum<string>Field used for range filtering. Allowed values are "updatedAt" or "createdAt". Defaults to "createdAt" if omitted.
Available options:
updatedAt,createdAtsortFieldenum<string>Sort results by this field
Available options:
updatedAt,createdAtsortDirectionenum<string>Sort results in this direction
Available options:
asc,descResponse
application/jsonReturns a list of User objects
The response is of type listUsersResponse · object.
usersobject[]requiredmetaobjectrequired